# vim: set ts=4 sw=4 et:

Name:           sweep
Summary:        Sound wave editor
Summary(de):    Sound Editor
Version:        0.9.3
Release:        6.1
License:        GPL v2 or later
Group:          Productivity/Multimedia/Sound/Editors and Convertors
URL:            http://sweep.sourceforge.net/
Source:         http://prdownloads.sourceforge.net/sweep/sweep-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
%if %suse_version >= 1130  
BuildRequires:  libexpat-devel
%endif
%if 0%{?suse_version} > 1130
BuildRequires:  wxWidgets-devel
%else
BuildRequires:  wxGTK-devel
%endif
BuildRequires:  alsa-devel
BuildRequires:  atk-devel
BuildRequires:  fontconfig-devel
BuildRequires:  freetype2-devel
BuildRequires:  glib2-devel
BuildRequires:  glibc-devel
BuildRequires:  gtk2-devel
BuildRequires:  libogg-devel
BuildRequires:  libsamplerate-devel
BuildRequires:  libsndfile-devel
BuildRequires:  libvorbis-devel
BuildRequires:  libmad-devel
BuildRequires:  pango-devel
BuildRequires:  speex-devel
BuildRequires:  zlib-devel
BuildRequires:  update-desktop-files

%description
Sweep is an editor for sound samples. It operates on files of various
formats such as .wav, .aiff and .au, and has multiple undo/redo
levels and filters. It supports audio filter plugins from the LADSPA
project.

%description -l de
Sweep ist ein Editor für Sound-Samples. Er arbeitet mit Dateien diverser
Formats, wie .wav, .aiff und .au, und hat mehrfache Undo/Redo
Level und Filter. Er unterstützt Audiofilter Plugins des LADSPA-Projekts.

%package devel
Group:          Development/Libraries/C and C++
Summary:        Header files for sweep
Requires:       %{name} = %{version}-%{release}

%description devel
Sweep is an editor for sound samples. It operates on files of various
formats such as .wav, .aiff and .au, and has multiple undo/redo
levels and filters. It supports audio filter plugins from the LADSPA
project. Development package.

%prep
%setup -q

%build
#%%{?suse_update_config:%%{suse_update_config -f}}
# the GTK_LIBS is a hack in order to not having to fix the configure script :)
# -- seife
%configure --enable-shared GTK_LIBS="`pkg-config --libs 'gtk+-2.0 >=  2.4.0'` -lgmodule-2.0"
%__make %{?_smp_flags}

%install
%makeinstall
%__rm -f ${RPM_BUILD_ROOT}%{_datadir}/gnome/apps/Multimedia/sweep.desktop
%suse_update_desktop_file -i %{name} AudioVideo AudioVideoEditing
%__sed -i -e "s/MimeType=audio\/x-wav/MimeType=audio\/x-wav;/g" %{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang sweep

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%files -f sweep.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README.ALSA README.i18n TODO
%doc doc/*.txt
%doc %{_mandir}/man?/*%{ext_man}
%{_bindir}/sweep
%dir %{_libdir}/sweep
%{_libdir}/sweep/libbyenergy.so
%{_libdir}/sweep/libecho.so
%{_libdir}/sweep/libfade.so
%{_libdir}/sweep/libladspameta.so
%{_libdir}/sweep/libnormalise.so
%{_libdir}/sweep/libreverse.so
%{_datadir}/pixmaps/*
%{_datadir}/sweep
%{_datadir}/applications/*.desktop

%files devel
%defattr(-,root,root)
%{_includedir}/sweep

%changelog
* Sat May 19 2012 seife+obs@b1-systems.com
- *really* comment out %%suse_update_config, it was still called
  and broke the 12.2 build
- fix 12.2 build by adding a specfile hack for GTK_LIBS
* Wed Sep  9 2009 Manfred.Tremmel@iiv.de
- cleanups where rpmlint wasn't so happy
* Sun Apr 13 2008 Manfred.Tremmel@iiv.de
- updated to version 0.9.3.
* Thu Feb  8 2007 Manfred.Tremmel@iiv.de
- updated to version 0.9.2.
* Wed Feb  1 2006 Manfred.Tremmel@iiv.de
- updated to version 0.9.1.
* Thu Jan 19 2006 Manfred.Tremmel@iiv.de
- updated to version 0.9.0.
* Sat Jan 14 2006 Manfred.Tremmel@iiv.de
- replaced corrupt sweep.png
* Wed Aug 24 2005 Manfred.Tremmel@iiv.de
- updated to version 0.8.4.
* Sat May  1 2004 Manfred.Tremmel@iiv.de
- updated to version 0.8.3.
* Sun Sep  7 2003 Manfred.Tremmel@iiv.de
- updated to version 0.8.2.
* Fri Feb  7 2003 tiwai@suse.de
- updated to version 0.8.1.
* Tue Jan 21 2003 tiwai@suse.de
- updated to 0.8.0.
- added libsamplerate and -devel to neededforbuild.
* Thu Jan 16 2003 aj@suse.de
- Fix CPP bugs.
* Fri Nov 29 2002 tiwai@suse.de
- updated to version 0.5.11.
* Wed Nov 27 2002 tiwai@suse.de
- initial version: 0.5.10a.
